Download it now!
Bug 65205 - Print Component fails to recognize 'Tabloid' as 11x17, uses Letter instead
Summary: Print Component fails to recognize 'Tabloid' as 11x17, uses Letter instead
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 115271 122182 (view as bug list)
Depends on:
Blocks: Print-Dialog
  Show dependency treegraph
 
Reported: 2013-05-31 09:58 UTC by Charles
Modified: 2019-11-11 09:56 UTC (History)
14 users (show)

See Also:
Crash report or crash signature:


Attachments
list of code pointers ... (19.56 KB, text/plain)
2019-02-14 18:33 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Charles 2013-05-31 09:58:28 UTC
Subject says it all. You simply cannot print to printer with Tabloid size paper.

Steps to reproduce:
1. Install any version of Libreoffice or AOO on a Windows machine
2. Connect to a printer that supports Tabloid size paper
3. Format a document to Tabloid size (Page > Format)

Current behavior: Print Dialog (preview) shows it is trying to print to Letter size paper (and indeed does if you continue with the print job).

Expected behavior: Print Dialog (preview) should show Tabloid size paper, and print to it.

This happens on both Windows XP (32 bit) and Windows 7 (64 bit), and after troubleshooting with my SOS tech rep, he determined it happens on 3 different printers: Canon, Sharp and Ricoh.

              
Operating System: Windows (other)
Version: unspecified
Comment 1 Charles 2013-05-31 09:59:53 UTC
This bug is inherited from Openoffice and is at least 3 years old, but I suspect it is much older.

AOO bug filed in July of 2010 is here:

https://issues.apache.org/ooo/show_bug.cgi?id=112863
Comment 2 Charles 2013-05-31 10:01:39 UTC
And by the way... for anyone who needs to print Tabloid documents (anyone who uses large spreadsheets for one), this is a SHOWSTOPPER bug.
Comment 3 Mark Dodel 2013-06-09 23:00:25 UTC
I am seeing the exact same thing in Mac OS X 10.8.4 and LibreOffice Version 4.0.3.3 for OS X as well as OpenOffice 3.4.1.  My workaround is to create a PDF and then use Preview to print it on my Brother MFC-J4510DW.
Comment 4 Charles 2013-07-18 18:56:02 UTC Comment hidden (no-value)
Comment 5 crxssi 2014-01-04 20:07:04 UTC
Just an FYI- I cannot replicate this behavior in Linux.  When I use LO and choose a tabloid page size, it shows tabloid in the preview and I can select tabloid paper size and print just fine to tabloid on any of our printers that have tabloid paper.  Perhaps it is MS-Windows specific (as marked).

I was pointed here by a comment in https://bugs.freedesktop.org/show_bug.cgi?id=67903 and I don't see how they are related.
Comment 6 Charles 2014-05-21 15:14:57 UTC Comment hidden (obsolete)
Comment 7 Charles 2014-05-22 15:17:22 UTC
This bug is very simple.

Every Copier/Printer I've checked that is capable of printing to Letter, Legal and Tabloid size paper refer to these sizes as:

Letter (8.50 x 11.00)
Legal (8.50 x 14.00)
and
11x17 (11.00 x 17.00)

LibreOffice/AOO both refer to these sizes as:

Letter (8.50 x 11.00)
Legal (8.50 x 14.00)
and
Tabloid (11.00 x 17.00)

This is the exact cause of this problem - since the Paper Size Name of 'Tabloid' doesn't exist on the target printer, Libreoffice falls back to the default of 'Letter'.

So, as far as I can see, there are only two ways to fix this:

1. Change the Paper Size Name from 'Tabloid' to '11x17', or

2. Create an alternate/secondary name that has the exact same paper size that Libreoffice falls back to if 'Tabloid' is unavailable on the target printer.

Would some kind soul *please please please* fix this? It can't be that hard can it? I mean, it should just be a string change or something...
Comment 8 Charles 2014-05-22 16:24:19 UTC Comment hidden (obsolete)
Comment 9 Joel Madero 2014-05-24 16:45:46 UTC Comment hidden (obsolete)
Comment 10 bfoman (inactive) 2014-05-24 21:45:15 UTC
(In reply to comment #7)
> 2. Create an alternate/secondary name that has the exact same paper size
> that Libreoffice falls back to if 'Tabloid' is unavailable on the target
> printer.

Like here?
http://opengrok.libreoffice.org/xref/core/i18nutil/source/utility/paper.cxx#76

Also I have found it is defined as PAPER_USER here:
http://opengrok.libreoffice.org/xref/core/sc/source/filter/excel/xlpage.cxx#82

But it seems that the fallback doesn't work.

> Would some kind soul *please please please* fix this? It can't be that hard
> can it? I mean, it should just be a string change or something...

This is open source project - if you want something done, do it yourself and contribute a patch ;). You can do a string change and compile own build. Easy peasy.
Comment 11 chuck.pobanz 2014-07-30 21:21:30 UTC
Perhaps bug 81065 is related. There seems to be a problem with libreoffice accepting the paper size/orientation from the printer preferences.
Comment 12 Charles 2014-07-31 10:18:24 UTC
Hi Chuck,

I guess you could say it is related because it is also a print issue, but that is about all.

This bug is about a very easy to reproduce, persistent problem - it is IMPOSSIBLE to print to an 11x17 (Tabloid) size paper on Windows.

The only workaround I've been able to find is print Letter to PDF, then print the PDF, and change the paper size to Tabloid, which works every time.
Comment 13 Charles 2014-07-31 10:21:40 UTC
Well, crap, now this workaround stopped working...

Joel - you say this isn't a critical bug? Say that in a company with 50+_ employees, all of whom at different times work with very large spreadsheets and need to actually be able to print to Tabloid sized paper available on their expensive copiers.

You'll quickly find how arrogant your personal assessment is.

This is an absolute BLOCKER for us, and has caused our boss to ask me to start rolling out Microsoft Office.

The sad thing is, the lack of response to this bug really gives me ZERO argument against it.

Word, Excel and Powerpoint all have been printing just fine on Tabloid this entire time.

(In reply to comment #6)
> Ok, I found an annoying workaround that is impractical for companies using
> (or trying to use( Libreoffice as their primary Office platform.
> 
> File > Print > Options
> 
> Then check the box "Use only paper size from printer preferences"
> 
> The problem is I cannot for the life of me figure out how to get this pref
> to 'stick'.
> 
> Guess I need to go open a new bug for that one too...
Comment 14 Joel Madero 2014-07-31 14:59:39 UTC
A couple things here:

1. Our assessment (QA) does not imply that devs will fix the problem. We do not push bugs onto devs, they volunteer to accept them. Even if this was set to blocker -> highest it would not guarantee (or even imply) that it would get more attention.

2. If you are using this for enterprise use, then well, perhaps you could consider giving back to the community and paying for support to have this "blocker" bug fixed. 50+ computers using LibreOffice, I would imagine you have the funds to help us help you. I could give you the names of several companies that offer paid support.

3. Arrogant....well, there's nothing I enjoy better than waking up, volunteering hundreds of hours of my time, and being called names. 

On that note, I'm removing myself from cc
Comment 15 bfoman (inactive) 2014-07-31 15:11:59 UTC
(In reply to comment #13)
> Joel - you say this isn't a critical bug? Say that in a company with 50+_
> employees, all of whom at different times work with very large spreadsheets
> and need to actually be able to print to Tabloid sized paper available on
> their expensive copiers.
> You'll quickly find how arrogant your personal assessment is.
> This is an absolute BLOCKER for us, and has caused our boss to ask me to
> start rolling out Microsoft Office.
> The sad thing is, the lack of response to this bug really gives me ZERO
> argument against it.
> Word, Excel and Powerpoint all have been printing just fine on Tabloid this
> entire time.

Joel is not arrogant, it is general policy of this project: 
https://wiki.documentfoundation.org/QA/BugTriage#Step_6._Prioritize_Bug
Also see what was recently added at https://wiki.documentfoundation.org/BugReport#After_you_submit_a_bug.
If this bug is blocker for you - then stop complaining demanding a fix - fix it yourself or persuade your boss to be LibreOffice donator and pay for a fix in true open source spirit... That is the reality.
The list of certified LibreOffice developers:
http://www.documentfoundation.org/certification/developers/
Comment 16 dfrerichs 2014-07-31 16:32:46 UTC
I was able to find a workaround for our Xerox printer. I could not print to tabloid with the PostScript Driver that was installed, but by installing another instance of this printer with the PCL5 driver, I can now print to tabloid from LibreOffice.
Comment 17 Charles 2014-07-31 16:33:32 UTC Comment hidden (no-value)
Comment 18 Michael Meeks 2014-10-03 10:40:56 UTC Comment hidden (obsolete)
Comment 19 Charles 2014-10-03 11:17:40 UTC Comment hidden (obsolete)
Comment 20 Robert 2015-03-04 22:32:01 UTC
Whatever the Priority is, this bug creates a dead end for users requiring tabloid printing (myself included).

Printing to A0 works. I'm curious if adding Ledger size (17" x 11") would survive the printer stack (users could correct orientation with Landscape vs Portrait).

Also, paper Size User should never revert back to ANY named paper size: it should simply pass this to the printer and give the printer driver a CHANCE to determine page size.

This problem can be reproduced on 4.3.4.1 on Mac OS X.

At least assign it to someone. It has existed since OpenOffice, most office have ANSI D paper sizes, and, on that note, paper size names should be consistent. Metric and other paper sizes are named, and North American sizes are sized or nicknamed; not ANSI A/B/C/D/E. Might as well add Arch A/B/C/D/E while you're at it.
Comment 21 Robinson Tryon (qubit) 2015-03-05 20:11:20 UTC Comment hidden (obsolete)
Comment 22 rsteinmetz70112 2015-07-01 16:28:27 UTC Comment hidden (no-value)
Comment 23 Michael Meeks 2015-07-01 20:19:54 UTC
> I'm surprised it has lasted this long

This is down to no-one being motivated enough to fix it =) who could that person be - as the National Lottery says: "it could be you" ?
Comment 24 Robert 2015-07-01 20:50:24 UTC Comment hidden (no-value)
Comment 25 Michael Meeks 2015-07-02 09:30:21 UTC
> Well then, non-programmers should really move on ...

to become programmers =) All existing programmers started off as non-programmers. There is nothing magical or mysterious about software. I'm happy to help -anyone- learn that wants to get involved and fix this thing: with code-pointers, help building etc. It is entirely possible for a technically-literate (ie. knows what bugzilla is and how to create an account ;-) person to invest a week of their time on this and get a far better understanding of exactly this code and make the  fix I think. Anyone that wants to make a positive contribution here is far more than welcome to contact me. What doesn't work is attacking developers and/or the project to make them think your bug is more important =)
Comment 26 tommy27 2015-08-24 13:09:23 UTC Comment hidden (obsolete)
Comment 27 Cor Nouws 2015-09-18 17:51:20 UTC
@bhofman

(In reply to bfoman (afk) from comment #10)

> Like here?
> http://opengrok.libreoffice.org/xref/core/i18nutil/source/utility/paper.
> cxx#76
> 
> Also I have found it is defined as PAPER_USER here:
> http://opengrok.libreoffice.org/xref/core/sc/source/filter/excel/xlpage.
> cxx#82

(line #81 currently)
> 
> But it seems that the fallback doesn't work.

You mean that you would expect that when one enters 11 and 17 inch, that the Format would indicate 'User' ?
Comment 28 Jean-Baptiste Faure 2016-09-17 15:15:28 UTC Comment hidden (obsolete)
Comment 29 QA Administrators 2017-03-28 08:17:53 UTC Comment hidden (obsolete)
Comment 30 Jean-Baptiste Faure 2017-03-28 19:33:44 UTC Comment hidden (obsolete)
Comment 31 gary 2017-07-26 15:38:57 UTC
I have two network printers that I print from...one for letter (8-1/2" x 11") size and one for tabloid (11" x 17") size. When I try to print a document in tabloid size, I am given the option to print 11" x 17" on the printer that can only print in letter size, however on the printer that prints in tabloid size the dialog box keeps reverting to letter size for printing. Go figure.
Comment 32 Timur 2018-02-19 10:14:15 UTC
*** Bug 115271 has been marked as a duplicate of this bug. ***
Comment 33 haim kilov 2018-04-28 01:13:28 UTC
The bug exists on a Mac (10.9.5).

Workaround: create a PDF file and print from it.

However, it is very annoying...
Comment 34 Cor Nouws 2018-04-28 20:34:57 UTC
(In reply to haim kilov from comment #33)
> The bug exists on a Mac (10.9.5).
> 
> Workaround: create a PDF file and print from it.
> 
> However, it is very annoying...

Looks the same as me trying to print a landscape format on Linux. Nope... PDF helps.
So more similar or related issues..
Comment 35 Janny Watson 2018-10-08 05:52:28 UTC Comment hidden (spam)
Comment 36 Timur 2018-12-24 08:29:13 UTC
*** Bug 122182 has been marked as a duplicate of this bug. ***
Comment 37 Tom 2018-12-24 13:11:14 UTC
So this bug ...;

1. Has a workaround, and
2. Is inherited from OO, and
3. Applies ONLY to the Calc component of LO (and OO).

FIX the spreadsheet ...,
1.  Find and replace "Tabloid" in the printer section of Calc, or
2.  Replace the Calc printer code with that from Writer....

PLEASE!
Comment 38 Tom 2019-02-14 18:11:38 UTC
Still, as of today, the latest version of LO Calc fails to work with a large spreadsheet and 11" x 17" paper in EITHER Portrait or Landscape mode.  Looking at previous comments about this, I sense there is no great urgency to fix this problem on the part of the developers/maintainers.  Even though the fix appears to be an easy one.

One comment asked for a reason to fix the problem....  Here it is!

IF the problem is not fixed, neither LO nor OO will maintain any traction in the corporate world against MS Office.  EVERY time a spreadsheet user gets upset that their document didn't print is another nail in the coffin of LO & OO.  I am no longer in the business world,so my needs are fewer now.
Comment 39 Michael Meeks 2019-02-14 18:33:15 UTC
Created attachment 149300 [details]
list of code pointers ...

For anyone frustrated by this, who wants to become an expert in exactly this feature - I think it would take a few hours of reading, research and note taking for the average user to read through the code pointers I just attached using a web browser and gitweb and try to reason why the Tabloid page size is wrong.

Anyone with a reasonably credible suggestion as to why the page size is wrong  in this situation in terms of specific bits of code will be taken very seriously.
Comment 40 Tom 2019-02-14 21:09:35 UTC
Comment on attachment 149300 [details]
list of code pointers ...

I am not a programmer,but....

Looking at the printer setup in WordPerfect, I find,
  US B (11 x 17in)
  Super B (13 x 19in)
for my printer, an Epson Artisan 1430. Similar info should be available in MS Office for similar wide format printers.

Looking at the 'Index of Code Pointers' I see Tabloid and Ledger.  Neither are legitimate paper sizes and as used here Ledger is the LANDSCAPE version of Tabloid.  That is wrong.

Any paper size can be printed on in either portrait or landscape by software interpretation can it not?
Comment 41 Michael Meeks 2019-02-15 09:28:36 UTC
Hmm - the step that says "connect to a printer that supports Tabloid size" - is that necessary ? or can this be reproduced when exporting to PDF ? - knowing that would help to isolate where the issue is: ie. our built-in paper sizes, or what Windows is reporting for its printer / paper sizes.
Comment 42 Charles 2019-02-15 17:02:27 UTC
Actually, I just checked, and this is now working for me!

I have the page set to Tabloid in Libreoffice (6.1.4.2, Windows 10 x64).

I would really like a 'Fit To Page' auto-zoom option in the Print Dialog, but other than that, it printed perfectly.

Tom - not sure why you said what you did about Ledger/Tabloid, they are perfectly acceptable and legitimate paper sizes:

https://www.engineeringtoolbox.com/office-paper-sizes-d_213.html
Comment 43 Charles 2019-02-15 17:04:19 UTC
I am setting this to Fixed, since it is now fixed (for me).

I'm not sure what version fixed it, because I got tired of testing it a long time ago. I decided to try again because of these recent emails saying it isn't working.
Comment 44 Charles 2019-02-15 17:04:47 UTC
Oh - and a huge THANK YOU to whoever did end up fixing this!
Comment 45 Timur 2019-02-15 18:01:12 UTC
Sorry for reverting, I can't test now, but duplicates also need to be checked. 
If all correct, not Fixed but WorksForMe.
Comment 46 Tom 2019-02-15 18:34:10 UTC
(In reply to Charles from comment #42)
> Actually, I just checked, and this is now working for me!
> 
> I have the page set to Tabloid in Libreoffice (6.1.4.2, Windows 10 x64).
> 
> I would really like a 'Fit To Page' auto-zoom option in the Print Dialog,
> but other than that, it printed perfectly.
> 
> Tom - not sure why you said what you did about Ledger/Tabloid, they are
> perfectly acceptable and legitimate paper sizes:
> 
> https://www.engineeringtoolbox.com/office-paper-sizes-d_213.html

Most printers are not made to be US specific, but for worldwide use. So why would a printer manufacturer want to use Tabloid/Ledger when it is obvious to them that they are both 11x17.  Portrait vs Landscape works on 11x17 just like it does for the other sizes.

Both Irfranview and Adobe Acrobat refer to printers as US B (11x17) and Super B (13x19) which is EXACTLY how my Epson Artisan 1439 Refers to those sizes. Sometimes the US standard is just plain stupid.
Comment 47 Cor Nouws 2019-02-16 13:48:49 UTC
(In reply to Timur from comment #45)
> Sorry for reverting, I can't test now, but duplicates also need to be
> checked. 
> If all correct, not Fixed but WorksForMe.
It might also be that some duplicates are in the end not exactly the same, so need special attention/more refined description.. We'll see ;)
Comment 48 Buovjaga 2019-02-28 13:52:20 UTC
As one of the dupes is for Linux, I will include this note from Dave of Largo: "On Linux, if you are using LibreOffice and the Tabloid paper size does not appear, it's because that size is not in the PPD file. In our case, HP did not have that paper size in the file. I hacked in the paper size and metrics and it's working."
Comment 49 pay bill spectrum 2019-11-11 09:56:14 UTC Comment hidden (spam)